Skip to main content
Environments

Get an Environment

Forward API reference.

Description

Retrieves a single Environment by its ID.

Path

GET /api/v1/forward/environments/{id}

Request headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT or SAT>

Path parameters

ParameterTypeRequiredDescription
idstringYesEnvironment ID.

Example request

curl -X GET "https://api.qoder.com/api/v1/forward/environments/env_xxx" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

Example response

HTTP 200 OK
{
  "id": "env_xxx",
  "type": "environment",
  "name": "dev-env",
  "description": "Development environment",
  "config": {"type": "cloud"},
  "metadata": {"source": "console"},
  "created_at": "2026-07-23T10:00:00Z",
  "updated_at": "2026-07-23T10:00:00Z",
  "identity_id": null
}

Response fields

The response is an Environment object.

Errors

HTTPTypeTrigger
400invalid_request_errorThe request body, path parameters, or query parameters are invalid.
401authentication_errorThe authentication token is missing or invalid.
403permission_errorThe caller cannot access this resource.
404not_found_errorThe resource does not exist or is not visible.
500/502/503api_errorForward or a dependent service failed.